<template>
	<v-hover v-slot="{ hover }">
		<span>
			<v-icon
				class="symbol-icon pa-2"
				:color="hover ? colorHover : color"
				:class="hover ? bgColorHoverIcon : bgColor"
				size="20"
			>
				{{ icon }}
			</v-icon>
			<span v-if="text" class="ml-3">{{ text }}</span>
		</span>
	</v-hover>
</template>

<script>
export default {
	props: {
		text: String,
		icon: String,
		color: {
			type: String,
			default: "primary",
		},
		colorHover: {
			type: String,
			default: "primary",
		},
		bgColor: {
			type: String,
			default: "",
		},
		bgColorHover: {
			type: String,
			default: "blue lighten-4",
		},
	},
	computed: {
		bgColorHoverIcon() {
			return "rounded-circle " + this.bgColorHover;
		},
	},
};
</script>

<style scope>
.symbol-icon {
	cursor: pointer;
}
</style>